IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network231.96.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
- Network address
231.96.0.0- Broadcast address
231.111.255.255- First usable
231.96.0.1- Last usable
231.111.255.254- Usable hosts
- 1,048,574 (1,048,576 less the network and broadcast addresses)
- Subnet mask
255.240.0.0- Wildcard mask
0.15.255.255(Cisco ACLs, OSPF)- Prefix length
- /12
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E7600000· Integer3881828352to3882876927 - Reverse DNS zones
96.231.in-addr.arpa97.231.in-addr.arpa98.231.in-addr.arpa99.231.in-addr.arpa100.231.in-addr.arpa101.231.in-addr.arpa102.231.in-addr.arpa103.231.in-addr.arpa104.231.in-addr.arpa105.231.in-addr.arpa106.231.in-addr.arpa107.231.in-addr.arpa108.231.in-addr.arpa109.231.in-addr.arpa110.231.in-addr.arpa111.231.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11100111.01100000.00000000.00000000 | 231.96.0.0 |
| Subnet mask | 11111111.11110000.00000000.00000000 | 255.240.0.0 |
| Network | 11100111.01100000.00000000.00000000 | 231.96.0.0 |
| Broadcast | 11100111.01101111.11111111.11111111 | 231.111.255.255 |
Split into smaller subnets
/13 (2)/14 (4)/15 (8)/16 (16)/17 (32)/18 (64)/19 (128)/20 (256)/21 (512)/22 (1,024)/23 (2,048)/24 (4,096)
231.96.0.0/12 makes 512 subnets of /21; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 231.96.0.0/21 | 231.96.0.1 to 231.96.7.254 | 231.96.7.255 | 2,046 |
| 2 | 231.96.8.0/21 | 231.96.8.1 to 231.96.15.254 | 231.96.15.255 | 2,046 |
| 3 | 231.96.16.0/21 | 231.96.16.1 to 231.96.23.254 | 231.96.23.255 | 2,046 |
| 4 | 231.96.24.0/21 | 231.96.24.1 to 231.96.31.254 | 231.96.31.255 | 2,046 |
| 5 | 231.96.32.0/21 | 231.96.32.1 to 231.96.39.254 | 231.96.39.255 | 2,046 |
| 6 | 231.96.40.0/21 | 231.96.40.1 to 231.96.47.254 | 231.96.47.255 | 2,046 |
| 7 | 231.96.48.0/21 | 231.96.48.1 to 231.96.55.254 | 231.96.55.255 | 2,046 |
| 8 | 231.96.56.0/21 | 231.96.56.1 to 231.96.63.254 | 231.96.63.255 | 2,046 |
| 9 | 231.96.64.0/21 | 231.96.64.1 to 231.96.71.254 | 231.96.71.255 | 2,046 |
| 10 | 231.96.72.0/21 | 231.96.72.1 to 231.96.79.254 | 231.96.79.255 | 2,046 |
| 11 | 231.96.80.0/21 | 231.96.80.1 to 231.96.87.254 | 231.96.87.255 | 2,046 |
| 12 | 231.96.88.0/21 | 231.96.88.1 to 231.96.95.254 | 231.96.95.255 | 2,046 |
| 13 | 231.96.96.0/21 | 231.96.96.1 to 231.96.103.254 | 231.96.103.255 | 2,046 |
| 14 | 231.96.104.0/21 | 231.96.104.1 to 231.96.111.254 | 231.96.111.255 | 2,046 |
| 15 | 231.96.112.0/21 | 231.96.112.1 to 231.96.119.254 | 231.96.119.255 | 2,046 |
| 16 | 231.96.120.0/21 | 231.96.120.1 to 231.96.127.254 | 231.96.127.255 | 2,046 |
| 17 | 231.96.128.0/21 | 231.96.128.1 to 231.96.135.254 | 231.96.135.255 | 2,046 |
| 18 | 231.96.136.0/21 | 231.96.136.1 to 231.96.143.254 | 231.96.143.255 | 2,046 |
| 19 | 231.96.144.0/21 | 231.96.144.1 to 231.96.151.254 | 231.96.151.255 | 2,046 |
| 20 | 231.96.152.0/21 | 231.96.152.1 to 231.96.159.254 | 231.96.159.255 | 2,046 |
| 21 | 231.96.160.0/21 | 231.96.160.1 to 231.96.167.254 | 231.96.167.255 | 2,046 |
| 22 | 231.96.168.0/21 | 231.96.168.1 to 231.96.175.254 | 231.96.175.255 | 2,046 |
| 23 | 231.96.176.0/21 | 231.96.176.1 to 231.96.183.254 | 231.96.183.255 | 2,046 |
| 24 | 231.96.184.0/21 | 231.96.184.1 to 231.96.191.254 | 231.96.191.255 | 2,046 |
| 25 | 231.96.192.0/21 | 231.96.192.1 to 231.96.199.254 | 231.96.199.255 | 2,046 |
| 26 | 231.96.200.0/21 | 231.96.200.1 to 231.96.207.254 | 231.96.207.255 | 2,046 |
| 27 | 231.96.208.0/21 | 231.96.208.1 to 231.96.215.254 | 231.96.215.255 | 2,046 |
| 28 | 231.96.216.0/21 | 231.96.216.1 to 231.96.223.254 | 231.96.223.255 | 2,046 |
| 29 | 231.96.224.0/21 | 231.96.224.1 to 231.96.231.254 | 231.96.231.255 | 2,046 |
| 30 | 231.96.232.0/21 | 231.96.232.1 to 231.96.239.254 | 231.96.239.255 | 2,046 |
| 31 | 231.96.240.0/21 | 231.96.240.1 to 231.96.247.254 | 231.96.247.255 | 2,046 |
| 32 | 231.96.248.0/21 | 231.96.248.1 to 231.96.255.254 | 231.96.255.255 | 2,046 |
| 33 | 231.97.0.0/21 | 231.97.0.1 to 231.97.7.254 | 231.97.7.255 | 2,046 |
| 34 | 231.97.8.0/21 | 231.97.8.1 to 231.97.15.254 | 231.97.15.255 | 2,046 |
| 35 | 231.97.16.0/21 | 231.97.16.1 to 231.97.23.254 | 231.97.23.255 | 2,046 |
| 36 | 231.97.24.0/21 | 231.97.24.1 to 231.97.31.254 | 231.97.31.255 | 2,046 |
| 37 | 231.97.32.0/21 | 231.97.32.1 to 231.97.39.254 | 231.97.39.255 | 2,046 |
| 38 | 231.97.40.0/21 | 231.97.40.1 to 231.97.47.254 | 231.97.47.255 | 2,046 |
| 39 | 231.97.48.0/21 | 231.97.48.1 to 231.97.55.254 | 231.97.55.255 | 2,046 |
| 40 | 231.97.56.0/21 | 231.97.56.1 to 231.97.63.254 | 231.97.63.255 | 2,046 |
| 41 | 231.97.64.0/21 | 231.97.64.1 to 231.97.71.254 | 231.97.71.255 | 2,046 |
| 42 | 231.97.72.0/21 | 231.97.72.1 to 231.97.79.254 | 231.97.79.255 | 2,046 |
| 43 | 231.97.80.0/21 | 231.97.80.1 to 231.97.87.254 | 231.97.87.255 | 2,046 |
| 44 | 231.97.88.0/21 | 231.97.88.1 to 231.97.95.254 | 231.97.95.255 | 2,046 |
| 45 | 231.97.96.0/21 | 231.97.96.1 to 231.97.103.254 | 231.97.103.255 | 2,046 |
| 46 | 231.97.104.0/21 | 231.97.104.1 to 231.97.111.254 | 231.97.111.255 | 2,046 |
| 47 | 231.97.112.0/21 | 231.97.112.1 to 231.97.119.254 | 231.97.119.255 | 2,046 |
| 48 | 231.97.120.0/21 | 231.97.120.1 to 231.97.127.254 | 231.97.127.255 | 2,046 |
| 49 | 231.97.128.0/21 | 231.97.128.1 to 231.97.135.254 | 231.97.135.255 | 2,046 |
| 50 | 231.97.136.0/21 | 231.97.136.1 to 231.97.143.254 | 231.97.143.255 | 2,046 |
| 51 | 231.97.144.0/21 | 231.97.144.1 to 231.97.151.254 | 231.97.151.255 | 2,046 |
| 52 | 231.97.152.0/21 | 231.97.152.1 to 231.97.159.254 | 231.97.159.255 | 2,046 |
| 53 | 231.97.160.0/21 | 231.97.160.1 to 231.97.167.254 | 231.97.167.255 | 2,046 |
| 54 | 231.97.168.0/21 | 231.97.168.1 to 231.97.175.254 | 231.97.175.255 | 2,046 |
| 55 | 231.97.176.0/21 | 231.97.176.1 to 231.97.183.254 | 231.97.183.255 | 2,046 |
| 56 | 231.97.184.0/21 | 231.97.184.1 to 231.97.191.254 | 231.97.191.255 | 2,046 |
| 57 | 231.97.192.0/21 | 231.97.192.1 to 231.97.199.254 | 231.97.199.255 | 2,046 |
| 58 | 231.97.200.0/21 | 231.97.200.1 to 231.97.207.254 | 231.97.207.255 | 2,046 |
| 59 | 231.97.208.0/21 | 231.97.208.1 to 231.97.215.254 | 231.97.215.255 | 2,046 |
| 60 | 231.97.216.0/21 | 231.97.216.1 to 231.97.223.254 | 231.97.223.255 | 2,046 |
| 61 | 231.97.224.0/21 | 231.97.224.1 to 231.97.231.254 | 231.97.231.255 | 2,046 |
| 62 | 231.97.232.0/21 | 231.97.232.1 to 231.97.239.254 | 231.97.239.255 | 2,046 |
| 63 | 231.97.240.0/21 | 231.97.240.1 to 231.97.247.254 | 231.97.247.255 | 2,046 |
| 64 | 231.97.248.0/21 | 231.97.248.1 to 231.97.255.254 | 231.97.255.255 | 2,046 |
| 65 | 231.98.0.0/21 | 231.98.0.1 to 231.98.7.254 | 231.98.7.255 | 2,046 |
| 66 | 231.98.8.0/21 | 231.98.8.1 to 231.98.15.254 | 231.98.15.255 | 2,046 |
| 67 | 231.98.16.0/21 | 231.98.16.1 to 231.98.23.254 | 231.98.23.255 | 2,046 |
| 68 | 231.98.24.0/21 | 231.98.24.1 to 231.98.31.254 | 231.98.31.255 | 2,046 |
| 69 | 231.98.32.0/21 | 231.98.32.1 to 231.98.39.254 | 231.98.39.255 | 2,046 |
| 70 | 231.98.40.0/21 | 231.98.40.1 to 231.98.47.254 | 231.98.47.255 | 2,046 |
| 71 | 231.98.48.0/21 | 231.98.48.1 to 231.98.55.254 | 231.98.55.255 | 2,046 |
| 72 | 231.98.56.0/21 | 231.98.56.1 to 231.98.63.254 | 231.98.63.255 | 2,046 |
| 73 | 231.98.64.0/21 | 231.98.64.1 to 231.98.71.254 | 231.98.71.255 | 2,046 |
| 74 | 231.98.72.0/21 | 231.98.72.1 to 231.98.79.254 | 231.98.79.255 | 2,046 |
| 75 | 231.98.80.0/21 | 231.98.80.1 to 231.98.87.254 | 231.98.87.255 | 2,046 |
| 76 | 231.98.88.0/21 | 231.98.88.1 to 231.98.95.254 | 231.98.95.255 | 2,046 |
| 77 | 231.98.96.0/21 | 231.98.96.1 to 231.98.103.254 | 231.98.103.255 | 2,046 |
| 78 | 231.98.104.0/21 | 231.98.104.1 to 231.98.111.254 | 231.98.111.255 | 2,046 |
| 79 | 231.98.112.0/21 | 231.98.112.1 to 231.98.119.254 | 231.98.119.255 | 2,046 |
| 80 | 231.98.120.0/21 | 231.98.120.1 to 231.98.127.254 | 231.98.127.255 | 2,046 |
| 81 | 231.98.128.0/21 | 231.98.128.1 to 231.98.135.254 | 231.98.135.255 | 2,046 |
| 82 | 231.98.136.0/21 | 231.98.136.1 to 231.98.143.254 | 231.98.143.255 | 2,046 |
| 83 | 231.98.144.0/21 | 231.98.144.1 to 231.98.151.254 | 231.98.151.255 | 2,046 |
| 84 | 231.98.152.0/21 | 231.98.152.1 to 231.98.159.254 | 231.98.159.255 | 2,046 |
| 85 | 231.98.160.0/21 | 231.98.160.1 to 231.98.167.254 | 231.98.167.255 | 2,046 |
| 86 | 231.98.168.0/21 | 231.98.168.1 to 231.98.175.254 | 231.98.175.255 | 2,046 |
| 87 | 231.98.176.0/21 | 231.98.176.1 to 231.98.183.254 | 231.98.183.255 | 2,046 |
| 88 | 231.98.184.0/21 | 231.98.184.1 to 231.98.191.254 | 231.98.191.255 | 2,046 |
| 89 | 231.98.192.0/21 | 231.98.192.1 to 231.98.199.254 | 231.98.199.255 | 2,046 |
| 90 | 231.98.200.0/21 | 231.98.200.1 to 231.98.207.254 | 231.98.207.255 | 2,046 |
| 91 | 231.98.208.0/21 | 231.98.208.1 to 231.98.215.254 | 231.98.215.255 | 2,046 |
| 92 | 231.98.216.0/21 | 231.98.216.1 to 231.98.223.254 | 231.98.223.255 | 2,046 |
| 93 | 231.98.224.0/21 | 231.98.224.1 to 231.98.231.254 | 231.98.231.255 | 2,046 |
| 94 | 231.98.232.0/21 | 231.98.232.1 to 231.98.239.254 | 231.98.239.255 | 2,046 |
| 95 | 231.98.240.0/21 | 231.98.240.1 to 231.98.247.254 | 231.98.247.255 | 2,046 |
| 96 | 231.98.248.0/21 | 231.98.248.1 to 231.98.255.254 | 231.98.255.255 | 2,046 |
| 97 | 231.99.0.0/21 | 231.99.0.1 to 231.99.7.254 | 231.99.7.255 | 2,046 |
| 98 | 231.99.8.0/21 | 231.99.8.1 to 231.99.15.254 | 231.99.15.255 | 2,046 |
| 99 | 231.99.16.0/21 | 231.99.16.1 to 231.99.23.254 | 231.99.23.255 | 2,046 |
| 100 | 231.99.24.0/21 | 231.99.24.1 to 231.99.31.254 | 231.99.31.255 | 2,046 |
| 101 | 231.99.32.0/21 | 231.99.32.1 to 231.99.39.254 | 231.99.39.255 | 2,046 |
| 102 | 231.99.40.0/21 | 231.99.40.1 to 231.99.47.254 | 231.99.47.255 | 2,046 |
| 103 | 231.99.48.0/21 | 231.99.48.1 to 231.99.55.254 | 231.99.55.255 | 2,046 |
| 104 | 231.99.56.0/21 | 231.99.56.1 to 231.99.63.254 | 231.99.63.255 | 2,046 |
| 105 | 231.99.64.0/21 | 231.99.64.1 to 231.99.71.254 | 231.99.71.255 | 2,046 |
| 106 | 231.99.72.0/21 | 231.99.72.1 to 231.99.79.254 | 231.99.79.255 | 2,046 |
| 107 | 231.99.80.0/21 | 231.99.80.1 to 231.99.87.254 | 231.99.87.255 | 2,046 |
| 108 | 231.99.88.0/21 | 231.99.88.1 to 231.99.95.254 | 231.99.95.255 | 2,046 |
| 109 | 231.99.96.0/21 | 231.99.96.1 to 231.99.103.254 | 231.99.103.255 | 2,046 |
| 110 | 231.99.104.0/21 | 231.99.104.1 to 231.99.111.254 | 231.99.111.255 | 2,046 |
| 111 | 231.99.112.0/21 | 231.99.112.1 to 231.99.119.254 | 231.99.119.255 | 2,046 |
| 112 | 231.99.120.0/21 | 231.99.120.1 to 231.99.127.254 | 231.99.127.255 | 2,046 |
| 113 | 231.99.128.0/21 | 231.99.128.1 to 231.99.135.254 | 231.99.135.255 | 2,046 |
| 114 | 231.99.136.0/21 | 231.99.136.1 to 231.99.143.254 | 231.99.143.255 | 2,046 |
| 115 | 231.99.144.0/21 | 231.99.144.1 to 231.99.151.254 | 231.99.151.255 | 2,046 |
| 116 | 231.99.152.0/21 | 231.99.152.1 to 231.99.159.254 | 231.99.159.255 | 2,046 |
| 117 | 231.99.160.0/21 | 231.99.160.1 to 231.99.167.254 | 231.99.167.255 | 2,046 |
| 118 | 231.99.168.0/21 | 231.99.168.1 to 231.99.175.254 | 231.99.175.255 | 2,046 |
| 119 | 231.99.176.0/21 | 231.99.176.1 to 231.99.183.254 | 231.99.183.255 | 2,046 |
| 120 | 231.99.184.0/21 | 231.99.184.1 to 231.99.191.254 | 231.99.191.255 | 2,046 |
| 121 | 231.99.192.0/21 | 231.99.192.1 to 231.99.199.254 | 231.99.199.255 | 2,046 |
| 122 | 231.99.200.0/21 | 231.99.200.1 to 231.99.207.254 | 231.99.207.255 | 2,046 |
| 123 | 231.99.208.0/21 | 231.99.208.1 to 231.99.215.254 | 231.99.215.255 | 2,046 |
| 124 | 231.99.216.0/21 | 231.99.216.1 to 231.99.223.254 | 231.99.223.255 | 2,046 |
| 125 | 231.99.224.0/21 | 231.99.224.1 to 231.99.231.254 | 231.99.231.255 | 2,046 |
| 126 | 231.99.232.0/21 | 231.99.232.1 to 231.99.239.254 | 231.99.239.255 | 2,046 |
| 127 | 231.99.240.0/21 | 231.99.240.1 to 231.99.247.254 | 231.99.247.255 | 2,046 |
| 128 | 231.99.248.0/21 | 231.99.248.1 to 231.99.255.254 | 231.99.255.255 | 2,046 |
| 129 | 231.100.0.0/21 | 231.100.0.1 to 231.100.7.254 | 231.100.7.255 | 2,046 |
| 130 | 231.100.8.0/21 | 231.100.8.1 to 231.100.15.254 | 231.100.15.255 | 2,046 |
| 131 | 231.100.16.0/21 | 231.100.16.1 to 231.100.23.254 | 231.100.23.255 | 2,046 |
| 132 | 231.100.24.0/21 | 231.100.24.1 to 231.100.31.254 | 231.100.31.255 | 2,046 |
| 133 | 231.100.32.0/21 | 231.100.32.1 to 231.100.39.254 | 231.100.39.255 | 2,046 |
| 134 | 231.100.40.0/21 | 231.100.40.1 to 231.100.47.254 | 231.100.47.255 | 2,046 |
| 135 | 231.100.48.0/21 | 231.100.48.1 to 231.100.55.254 | 231.100.55.255 | 2,046 |
| 136 | 231.100.56.0/21 | 231.100.56.1 to 231.100.63.254 | 231.100.63.255 | 2,046 |
| 137 | 231.100.64.0/21 | 231.100.64.1 to 231.100.71.254 | 231.100.71.255 | 2,046 |
| 138 | 231.100.72.0/21 | 231.100.72.1 to 231.100.79.254 | 231.100.79.255 | 2,046 |
| 139 | 231.100.80.0/21 | 231.100.80.1 to 231.100.87.254 | 231.100.87.255 | 2,046 |
| 140 | 231.100.88.0/21 | 231.100.88.1 to 231.100.95.254 | 231.100.95.255 | 2,046 |
| 141 | 231.100.96.0/21 | 231.100.96.1 to 231.100.103.254 | 231.100.103.255 | 2,046 |
| 142 | 231.100.104.0/21 | 231.100.104.1 to 231.100.111.254 | 231.100.111.255 | 2,046 |
| 143 | 231.100.112.0/21 | 231.100.112.1 to 231.100.119.254 | 231.100.119.255 | 2,046 |
| 144 | 231.100.120.0/21 | 231.100.120.1 to 231.100.127.254 | 231.100.127.255 | 2,046 |
| 145 | 231.100.128.0/21 | 231.100.128.1 to 231.100.135.254 | 231.100.135.255 | 2,046 |
| 146 | 231.100.136.0/21 | 231.100.136.1 to 231.100.143.254 | 231.100.143.255 | 2,046 |
| 147 | 231.100.144.0/21 | 231.100.144.1 to 231.100.151.254 | 231.100.151.255 | 2,046 |
| 148 | 231.100.152.0/21 | 231.100.152.1 to 231.100.159.254 | 231.100.159.255 | 2,046 |
| 149 | 231.100.160.0/21 | 231.100.160.1 to 231.100.167.254 | 231.100.167.255 | 2,046 |
| 150 | 231.100.168.0/21 | 231.100.168.1 to 231.100.175.254 | 231.100.175.255 | 2,046 |
| 151 | 231.100.176.0/21 | 231.100.176.1 to 231.100.183.254 | 231.100.183.255 | 2,046 |
| 152 | 231.100.184.0/21 | 231.100.184.1 to 231.100.191.254 | 231.100.191.255 | 2,046 |
| 153 | 231.100.192.0/21 | 231.100.192.1 to 231.100.199.254 | 231.100.199.255 | 2,046 |
| 154 | 231.100.200.0/21 | 231.100.200.1 to 231.100.207.254 | 231.100.207.255 | 2,046 |
| 155 | 231.100.208.0/21 | 231.100.208.1 to 231.100.215.254 | 231.100.215.255 | 2,046 |
| 156 | 231.100.216.0/21 | 231.100.216.1 to 231.100.223.254 | 231.100.223.255 | 2,046 |
| 157 | 231.100.224.0/21 | 231.100.224.1 to 231.100.231.254 | 231.100.231.255 | 2,046 |
| 158 | 231.100.232.0/21 | 231.100.232.1 to 231.100.239.254 | 231.100.239.255 | 2,046 |
| 159 | 231.100.240.0/21 | 231.100.240.1 to 231.100.247.254 | 231.100.247.255 | 2,046 |
| 160 | 231.100.248.0/21 | 231.100.248.1 to 231.100.255.254 | 231.100.255.255 | 2,046 |
| 161 | 231.101.0.0/21 | 231.101.0.1 to 231.101.7.254 | 231.101.7.255 | 2,046 |
| 162 | 231.101.8.0/21 | 231.101.8.1 to 231.101.15.254 | 231.101.15.255 | 2,046 |
| 163 | 231.101.16.0/21 | 231.101.16.1 to 231.101.23.254 | 231.101.23.255 | 2,046 |
| 164 | 231.101.24.0/21 | 231.101.24.1 to 231.101.31.254 | 231.101.31.255 | 2,046 |
| 165 | 231.101.32.0/21 | 231.101.32.1 to 231.101.39.254 | 231.101.39.255 | 2,046 |
| 166 | 231.101.40.0/21 | 231.101.40.1 to 231.101.47.254 | 231.101.47.255 | 2,046 |
| 167 | 231.101.48.0/21 | 231.101.48.1 to 231.101.55.254 | 231.101.55.255 | 2,046 |
| 168 | 231.101.56.0/21 | 231.101.56.1 to 231.101.63.254 | 231.101.63.255 | 2,046 |
| 169 | 231.101.64.0/21 | 231.101.64.1 to 231.101.71.254 | 231.101.71.255 | 2,046 |
| 170 | 231.101.72.0/21 | 231.101.72.1 to 231.101.79.254 | 231.101.79.255 | 2,046 |
| 171 | 231.101.80.0/21 | 231.101.80.1 to 231.101.87.254 | 231.101.87.255 | 2,046 |
| 172 | 231.101.88.0/21 | 231.101.88.1 to 231.101.95.254 | 231.101.95.255 | 2,046 |
| 173 | 231.101.96.0/21 | 231.101.96.1 to 231.101.103.254 | 231.101.103.255 | 2,046 |
| 174 | 231.101.104.0/21 | 231.101.104.1 to 231.101.111.254 | 231.101.111.255 | 2,046 |
| 175 | 231.101.112.0/21 | 231.101.112.1 to 231.101.119.254 | 231.101.119.255 | 2,046 |
| 176 | 231.101.120.0/21 | 231.101.120.1 to 231.101.127.254 | 231.101.127.255 | 2,046 |
| 177 | 231.101.128.0/21 | 231.101.128.1 to 231.101.135.254 | 231.101.135.255 | 2,046 |
| 178 | 231.101.136.0/21 | 231.101.136.1 to 231.101.143.254 | 231.101.143.255 | 2,046 |
| 179 | 231.101.144.0/21 | 231.101.144.1 to 231.101.151.254 | 231.101.151.255 | 2,046 |
| 180 | 231.101.152.0/21 | 231.101.152.1 to 231.101.159.254 | 231.101.159.255 | 2,046 |
| 181 | 231.101.160.0/21 | 231.101.160.1 to 231.101.167.254 | 231.101.167.255 | 2,046 |
| 182 | 231.101.168.0/21 | 231.101.168.1 to 231.101.175.254 | 231.101.175.255 | 2,046 |
| 183 | 231.101.176.0/21 | 231.101.176.1 to 231.101.183.254 | 231.101.183.255 | 2,046 |
| 184 | 231.101.184.0/21 | 231.101.184.1 to 231.101.191.254 | 231.101.191.255 | 2,046 |
| 185 | 231.101.192.0/21 | 231.101.192.1 to 231.101.199.254 | 231.101.199.255 | 2,046 |
| 186 | 231.101.200.0/21 | 231.101.200.1 to 231.101.207.254 | 231.101.207.255 | 2,046 |
| 187 | 231.101.208.0/21 | 231.101.208.1 to 231.101.215.254 | 231.101.215.255 | 2,046 |
| 188 | 231.101.216.0/21 | 231.101.216.1 to 231.101.223.254 | 231.101.223.255 | 2,046 |
| 189 | 231.101.224.0/21 | 231.101.224.1 to 231.101.231.254 | 231.101.231.255 | 2,046 |
| 190 | 231.101.232.0/21 | 231.101.232.1 to 231.101.239.254 | 231.101.239.255 | 2,046 |
| 191 | 231.101.240.0/21 | 231.101.240.1 to 231.101.247.254 | 231.101.247.255 | 2,046 |
| 192 | 231.101.248.0/21 | 231.101.248.1 to 231.101.255.254 | 231.101.255.255 | 2,046 |
| 193 | 231.102.0.0/21 | 231.102.0.1 to 231.102.7.254 | 231.102.7.255 | 2,046 |
| 194 | 231.102.8.0/21 | 231.102.8.1 to 231.102.15.254 | 231.102.15.255 | 2,046 |
| 195 | 231.102.16.0/21 | 231.102.16.1 to 231.102.23.254 | 231.102.23.255 | 2,046 |
| 196 | 231.102.24.0/21 | 231.102.24.1 to 231.102.31.254 | 231.102.31.255 | 2,046 |
| 197 | 231.102.32.0/21 | 231.102.32.1 to 231.102.39.254 | 231.102.39.255 | 2,046 |
| 198 | 231.102.40.0/21 | 231.102.40.1 to 231.102.47.254 | 231.102.47.255 | 2,046 |
| 199 | 231.102.48.0/21 | 231.102.48.1 to 231.102.55.254 | 231.102.55.255 | 2,046 |
| 200 | 231.102.56.0/21 | 231.102.56.1 to 231.102.63.254 | 231.102.63.255 | 2,046 |
| 201 | 231.102.64.0/21 | 231.102.64.1 to 231.102.71.254 | 231.102.71.255 | 2,046 |
| 202 | 231.102.72.0/21 | 231.102.72.1 to 231.102.79.254 | 231.102.79.255 | 2,046 |
| 203 | 231.102.80.0/21 | 231.102.80.1 to 231.102.87.254 | 231.102.87.255 | 2,046 |
| 204 | 231.102.88.0/21 | 231.102.88.1 to 231.102.95.254 | 231.102.95.255 | 2,046 |
| 205 | 231.102.96.0/21 | 231.102.96.1 to 231.102.103.254 | 231.102.103.255 | 2,046 |
| 206 | 231.102.104.0/21 | 231.102.104.1 to 231.102.111.254 | 231.102.111.255 | 2,046 |
| 207 | 231.102.112.0/21 | 231.102.112.1 to 231.102.119.254 | 231.102.119.255 | 2,046 |
| 208 | 231.102.120.0/21 | 231.102.120.1 to 231.102.127.254 | 231.102.127.255 | 2,046 |
| 209 | 231.102.128.0/21 | 231.102.128.1 to 231.102.135.254 | 231.102.135.255 | 2,046 |
| 210 | 231.102.136.0/21 | 231.102.136.1 to 231.102.143.254 | 231.102.143.255 | 2,046 |
| 211 | 231.102.144.0/21 | 231.102.144.1 to 231.102.151.254 | 231.102.151.255 | 2,046 |
| 212 | 231.102.152.0/21 | 231.102.152.1 to 231.102.159.254 | 231.102.159.255 | 2,046 |
| 213 | 231.102.160.0/21 | 231.102.160.1 to 231.102.167.254 | 231.102.167.255 | 2,046 |
| 214 | 231.102.168.0/21 | 231.102.168.1 to 231.102.175.254 | 231.102.175.255 | 2,046 |
| 215 | 231.102.176.0/21 | 231.102.176.1 to 231.102.183.254 | 231.102.183.255 | 2,046 |
| 216 | 231.102.184.0/21 | 231.102.184.1 to 231.102.191.254 | 231.102.191.255 | 2,046 |
| 217 | 231.102.192.0/21 | 231.102.192.1 to 231.102.199.254 | 231.102.199.255 | 2,046 |
| 218 | 231.102.200.0/21 | 231.102.200.1 to 231.102.207.254 | 231.102.207.255 | 2,046 |
| 219 | 231.102.208.0/21 | 231.102.208.1 to 231.102.215.254 | 231.102.215.255 | 2,046 |
| 220 | 231.102.216.0/21 | 231.102.216.1 to 231.102.223.254 | 231.102.223.255 | 2,046 |
| 221 | 231.102.224.0/21 | 231.102.224.1 to 231.102.231.254 | 231.102.231.255 | 2,046 |
| 222 | 231.102.232.0/21 | 231.102.232.1 to 231.102.239.254 | 231.102.239.255 | 2,046 |
| 223 | 231.102.240.0/21 | 231.102.240.1 to 231.102.247.254 | 231.102.247.255 | 2,046 |
| 224 | 231.102.248.0/21 | 231.102.248.1 to 231.102.255.254 | 231.102.255.255 | 2,046 |
| 225 | 231.103.0.0/21 | 231.103.0.1 to 231.103.7.254 | 231.103.7.255 | 2,046 |
| 226 | 231.103.8.0/21 | 231.103.8.1 to 231.103.15.254 | 231.103.15.255 | 2,046 |
| 227 | 231.103.16.0/21 | 231.103.16.1 to 231.103.23.254 | 231.103.23.255 | 2,046 |
| 228 | 231.103.24.0/21 | 231.103.24.1 to 231.103.31.254 | 231.103.31.255 | 2,046 |
| 229 | 231.103.32.0/21 | 231.103.32.1 to 231.103.39.254 | 231.103.39.255 | 2,046 |
| 230 | 231.103.40.0/21 | 231.103.40.1 to 231.103.47.254 | 231.103.47.255 | 2,046 |
| 231 | 231.103.48.0/21 | 231.103.48.1 to 231.103.55.254 | 231.103.55.255 | 2,046 |
| 232 | 231.103.56.0/21 | 231.103.56.1 to 231.103.63.254 | 231.103.63.255 | 2,046 |
| 233 | 231.103.64.0/21 | 231.103.64.1 to 231.103.71.254 | 231.103.71.255 | 2,046 |
| 234 | 231.103.72.0/21 | 231.103.72.1 to 231.103.79.254 | 231.103.79.255 | 2,046 |
| 235 | 231.103.80.0/21 | 231.103.80.1 to 231.103.87.254 | 231.103.87.255 | 2,046 |
| 236 | 231.103.88.0/21 | 231.103.88.1 to 231.103.95.254 | 231.103.95.255 | 2,046 |
| 237 | 231.103.96.0/21 | 231.103.96.1 to 231.103.103.254 | 231.103.103.255 | 2,046 |
| 238 | 231.103.104.0/21 | 231.103.104.1 to 231.103.111.254 | 231.103.111.255 | 2,046 |
| 239 | 231.103.112.0/21 | 231.103.112.1 to 231.103.119.254 | 231.103.119.255 | 2,046 |
| 240 | 231.103.120.0/21 | 231.103.120.1 to 231.103.127.254 | 231.103.127.255 | 2,046 |
| 241 | 231.103.128.0/21 | 231.103.128.1 to 231.103.135.254 | 231.103.135.255 | 2,046 |
| 242 | 231.103.136.0/21 | 231.103.136.1 to 231.103.143.254 | 231.103.143.255 | 2,046 |
| 243 | 231.103.144.0/21 | 231.103.144.1 to 231.103.151.254 | 231.103.151.255 | 2,046 |
| 244 | 231.103.152.0/21 | 231.103.152.1 to 231.103.159.254 | 231.103.159.255 | 2,046 |
| 245 | 231.103.160.0/21 | 231.103.160.1 to 231.103.167.254 | 231.103.167.255 | 2,046 |
| 246 | 231.103.168.0/21 | 231.103.168.1 to 231.103.175.254 | 231.103.175.255 | 2,046 |
| 247 | 231.103.176.0/21 | 231.103.176.1 to 231.103.183.254 | 231.103.183.255 | 2,046 |
| 248 | 231.103.184.0/21 | 231.103.184.1 to 231.103.191.254 | 231.103.191.255 | 2,046 |
| 249 | 231.103.192.0/21 | 231.103.192.1 to 231.103.199.254 | 231.103.199.255 | 2,046 |
| 250 | 231.103.200.0/21 | 231.103.200.1 to 231.103.207.254 | 231.103.207.255 | 2,046 |
| 251 | 231.103.208.0/21 | 231.103.208.1 to 231.103.215.254 | 231.103.215.255 | 2,046 |
| 252 | 231.103.216.0/21 | 231.103.216.1 to 231.103.223.254 | 231.103.223.255 | 2,046 |
| 253 | 231.103.224.0/21 | 231.103.224.1 to 231.103.231.254 | 231.103.231.255 | 2,046 |
| 254 | 231.103.232.0/21 | 231.103.232.1 to 231.103.239.254 | 231.103.239.255 | 2,046 |
| 255 | 231.103.240.0/21 | 231.103.240.1 to 231.103.247.254 | 231.103.247.255 | 2,046 |
| 256 | 231.103.248.0/21 | 231.103.248.1 to 231.103.255.254 | 231.103.255.255 | 2,046 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |